# kjs Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KJS::Null Class Reference

Represents an primitive Null value. More...

`#include <value.h>`

Inheritance diagram for KJS::Null:

[legend]
Collaboration diagram for KJS::Null:

[legend]
List of all members.

## Public Member Functions

| Null (const Null &v)
Null & | operator= (const Null &v)

## Static Public Member Functions

Null | dynamicCast (const Value &v)
| Converts a Value into an Null.

## Friends

class | NullImp

## Detailed Description

Represents an primitive Null value.

All instances of this class share the same implementation object, so == will always return true for any comparison between two Null objects.

Definition at line 311 of file value.h.

## Member Function Documentation

Null Null::dynamicCast | ( | const Value & | v | ) | `[static]`

Converts a Value into an Null.

If the value's type is not NullType, a null object will be returned (i.e. one with it's internal pointer set to 0). If you do not know for sure whether the value is of type NullType, you should check the isNull() methods afterwards before calling any methods on the returned value.

Returns:
  The value converted to a Null

Definition at line 368 of file value.cpp.

References KJS::Value::isNull(), and KJS::Value::type().

The documentation for this class was generated from the following files:

- value.h
- value.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:09:39 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001